Skip to main content
GET
/
vault-forward
/
configs
/
{config_id}
/
authentications
List configured Vault Forward authentication methods
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/vault-forward/configs/{config_id}/authentications");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.sandbox.{id}.gr4vy.app/vault-forward/configs/{config_id}/authentications"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://api.sandbox.{id}.gr4vy.app/vault-forward/configs/{config_id}/authentications")
.header("Authorization", "Bearer <token>")
.asString();
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.{id}.gr4vy.app/vault-forward/configs/{config_id}/authentications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests

url = "https://api.sandbox.{id}.gr4vy.app/vault-forward/configs/{config_id}/authentications"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.{id}.gr4vy.app/vault-forward/configs/{config_id}/authentications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://api.sandbox.{id}.gr4vy.app/vault-forward/configs/{config_id}/authentications \
--header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "type": "vault-forward-config-authentication",
      "id": "faaad066-30b4-4997-a438-242b0752d7e1",
      "created_at": "2012-12-12T10:53:43+00:00",
      "updated_at": "2012-12-12T10:53:43+00:00",
      "kind": "mle",
      "label": "My MLE",
      "display_name": "My MLE",
      "fields": [
        {
          "key": "secret_key",
          "value": "sk_test_26PHem9AhJZvU623DfE1x4sd"
        }
      ],
      "creator": {
        "id": "77a76f7e-d2de-4bbc-ada9-d6a0015e6bd5",
        "name": "John L",
        "email_address": "john@example.com"
      }
    }
  ]
}
{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}
{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}
This endpoint requires the vault-forward-authentications.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

config_id
string<uuid>
required

The ID of the Vault Forward configuration.

Example:

"46973e9d-88a7-44a6-abfe-be4ff0134ff4"

Response

Returns a list of Vault Forward authentication methods.

A list of configured Vault Forward authentication methods.

items
A Vault Forward authentication method · object[]